MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
Riff.hxx File Reference

A parser for the RIFF file format (e.g. More...

`#include <stddef.h>`
Include dependency graph for Riff.hxx:

Go to the source code of this file.

## Functions
size_t | riff_seek_id3 (InputStream &is)
| Seeks the RIFF file to the ID3 chunk. More...

## Detailed Description

A parser for the RIFF file format (e.g.

WAV).

Definition in file Riff.hxx.

## Function Documentation

size_t riff_seek_id3 | ( | InputStream & | is | ) |

Seeks the RIFF file to the ID3 chunk.

Throws std::runtime_error on error.

Parameters

  is | a locked InputStream

Returns
  the size of the ID3 chunk